#!/bin/sh

PKG_PATH=/usr/local/AppCentral/URL-Pack-EU
ASPORTAL_PATH=/usr/local/AppCentral/asportal
ASPORTAL_STAT="`apkg --info-installed asportal | grep 'Enabled:' | awk '{print $2}'`"

NAME=URL-Pack-EU


. /lib/lsb/init-functions

start_daemon () {

    sed -i 's/\"show\":\".*\"/\"show\":\"true\"/g' $PKG_PATH/asportal/Allocine.json
    sed -i 's/\"show\":\".*\"/\"show\":\"true\"/g' $PKG_PATH/asportal/Deezer.json
	sed -i 's/\"show\":\".*\"/\"show\":\"true\"/g' $PKG_PATH/asportal/Imdb.json
	sed -i 's/\"show\":\".*\"/\"show\":\"true\"/g' $PKG_PATH/asportal/Napster.json
	sed -i 's/\"show\":\".*\"/\"show\":\"true\"/g' $PKG_PATH/asportal/Plex.json
    sed -i 's/\"show\":\".*\"/\"show\":\"true\"/g' $PKG_PATH/asportal/RuTube.json
	sed -i 's/\"show\":\".*\"/\"show\":\"true\"/g' $PKG_PATH/asportal/dailymotion.json
	sed -i 's/\"show\":\".*\"/\"show\":\"true\"/g' $PKG_PATH/asportal/Emby.json	
	
	if [ -e "$ASPORTAL_PATH" ]; then
	     if [ "Yes" == "$ASPORTAL_STAT" ]; then
	     	$ASPORTAL_PATH/CONTROL/start-stop.sh reload &
 	     fi
	fi

}

stop_daemon () {

    sed -i 's/\"show\":\".*\"/\"show\":\"false\"/g'  $PKG_PATH/asportal/Allocine.json
    sed -i 's/\"show\":\".*\"/\"show\":\"false\"/g'  $PKG_PATH/asportal/Deezer.json
	sed -i 's/\"show\":\".*\"/\"show\":\"false\"/g'  $PKG_PATH/asportal/Imdb.json
	sed -i 's/\"show\":\".*\"/\"show\":\"false\"/g'  $PKG_PATH/asportal/Napster.json
	sed -i 's/\"show\":\".*\"/\"show\":\"false\"/g'  $PKG_PATH/asportal/Plex.json
    sed -i 's/\"show\":\".*\"/\"show\":\"false\"/g'  $PKG_PATH/asportal/RuTube.json
	sed -i 's/\"show\":\".*\"/\"show\":\"false\"/g'  $PKG_PATH/asportal/dailymotion.json
	sed -i 's/\"show\":\".*\"/\"show\":\"false\"/g'  $PKG_PATH/asportal/Emby.json

    if [ -e "$ASPORTAL_PATH" ]; then
        if [ "Yes" == "$ASPORTAL_STAT" ]; then
            $ASPORTAL_PATH/CONTROL/start-stop.sh reload &
	    fi
	fi
}


case "$1" in
    start)
        log_daemon_msg "Starting daemon" "$NAME"
        start_daemon
        log_end_msg 0
        ;;
    stop)
        log_daemon_msg "Stopping daemon" "$NAME"
        stop_daemon
        log_end_msg 0
        ;;
    reload)
        log_daemon_msg "Reloading daemon" "$NAME"

        start_daemon
        log_end_msg 0
        ;;
    restart|force-reload)
        log_daemon_msg "Restarting daemon" "$NAME"
        start_daemon
        log_end_msg 0
        ;;
    debug)
        ;;
    *)
        echo "Usage: /etc/init.d/$NAME {start|stop|reload|force-reload|restart}"
        exit 2
        ;;
esac

if [ "$1" != "debug" ] ; then
    exit 0
fi
